package my.service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

import my.dao.ZipDAO;

public class ZipService {
	private ZipDAO zdao;
	public ZipService(){
		zdao = new ZipDAO() ;
	}
	
	public String searchZip(String doro) {
		List<Map<String,String>> addrlist = new ArrayList<Map<String,String>>();
		Map<String, String> addrmap;
		addrlist = zdao.selectByDoro(doro);
		
		JSONArray jsonArr = new JSONArray();
		
		for(int i = 0 ; i < addrlist.size(); i++) {
			addrmap = addrlist.get(i);
			JSONObject obj = new JSONObject();
			obj.put("zipcode", addrmap.get("zipcode"));
			obj.put("doroaddr", addrmap.get("doroaddr"));
			obj.put("buildingaddr", addrmap.get("buildingaddr"));
			obj.put("buildingno", addrmap.get("buildingno"));
				
			jsonArr.add(obj);
		}
		return jsonArr.toString();
	}
}