<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
    <c:set var="contextPath" value="${pageContext.request.contextPath}"/>
<script>
$(function(){
	$("#loginbtn").click(function(){
		if($("#idid").val().trim() == 0){ // id 입력란이 공백인 상태로 로그인 버튼이 
										  // 눌리게 되면 .focus()를 이용해 입력유도.
			$("#idid").focus();
		} else if($("input[name=pwd]").val().trim() == 0){
			$("input[name=pwd]").focus();
		} 
		else{
			$.ajax({ // 입력이슈가 발생하지 않는다면 ajax 요청
				url: '${contextPath}/login', //EL문법을 이용하여 경로지정, 
											 // login Servlet으로 데이터 전송.
				method:'post', // post 방식으로 요청.
				data:$('form').serialize(), // form 태그안에 있는 입력된 값을 싹 긁어 전송. 
								// 데이터 전달을 위해 name 속성을 꼭 작성해야한다.(다음게시물에서 설명)
				success: function(data){
					var jsonObj = JSON.parse(data);
					var msg = jsonObj.id + "님 로그인 ";
					if(jsonObj.status == 1){ // 로그인 여부를 판단해주는 Service에서 설정한 status 
											 //값이 1이면 로그인 성공. (다음게시물에서 설명)
						msg += "성공";
							location.href='${contextPath}/main/main.jsp';
						alert(msg);
					}else {
						msg += "실패";
						alert(msg);
					}
				}
			});
		 } 
		return false;
	});
});	
</script>

<div style="text-align: center;">
<form>
    <div>
    	아이디 &nbsp;&nbsp; 
    	<input type="text" placeholder="아이디를 입력하세요."  name="id" id="idid" 
    	style="height: 30px; margin-left: 30px;"/>
    </div>
    <br>
    <div>
    	비밀번호 &nbsp;&nbsp;
    	<input type="password" placeholder="비밀번호를 입력하세요." name="pwd" 
    	style="height: 30px; margin-left: 15px;"/>
    
    </div>
    <br>
    <div>
    	<button type="submit" id="loginbtn">로그인</button>&nbsp;&nbsp;
    	<button>회원가입</button>
    </div>
    </form>
</div>