package Servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import my.service.CustomerService;
import my.vo.Customer;

@WebServlet("/join")
public class JoinServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private CustomerService service;
    
    public JoinServlet() {
        super();
        service = new CustomerService();
    }

	protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String id = request.getParameter("id");
		String pwd = request.getParameter("pwd");
		String name = request.getParameter("name");
		String buildingno = request.getParameter("buildingno");
		String addr = request.getParameter("zipcode") + "/" + request.getParameter("addr1") + "/" + request.getParameter("addr2");
		
		Customer c = new Customer();
		c.setId(id);
		c.setPwd(pwd);
		c.setName(name);
		c.setBuildingno(buildingno);
		c.setAddr(addr);
		
		String str = service.join(c);
		request.setAttribute("result",  str);
		
		String path = "/result.jsp";	
		RequestDispatcher rd = request.getRequestDispatcher(path);
		rd.forward(request, response);
		
	}
}