package my.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ZipDAO {
	String url = "jdbc:oracle:thin:@localhost:1521:xe";
	String user = "C##ora_user";
	String pw = "hong";

	public List<Map<String, String>> selectByDoro(String doro){
		
		List<Map<String,String>> addrlist = new ArrayList<Map<String,String>>();
		Connection conn = null;	
		PreparedStatement pstmt = null;
		ResultSet rs = null;
		String doroname  = "SELECT zipcode,  \r\n" + 
				"sido||' ' \r\n" + 
				"|| sigungu ||NVL2(sigungu,' ', '')\r\n" + 
				"|| eupmyun ||NVL2(eupmyun,' ', '')\r\n" + 
				"|| doro ||' ' \r\n" + 
				"|| building1\r\n" + 
				"|| DECODE(building2,'0', '', '-'||building2) ||' ' \r\n" + 
				"|| '('|| dong || ri || DECODE(building, '', '', ',' ||building) ||')'" + 
				","+
				"sido ||' ' \r\n" + 
				"|| sigungu ||NVL2(sigungu,' ', '')\r\n" + 
				"|| eupmyun ||NVL2(eupmyun,' ', '')\r\n" + 
				"|| dong || ri ||' ' ||  zibun1 || DECODE(zibun2, '0', '',  '-'|| zibun2)    || DECODE(building, '', '', ' (' ||building ||')') " +
				","+
				"buildingno \r\n" +
				"FROM post\r\n" + 
				"WHERE (doro || ' ' || building1 || DECODE(building2,'0', '', '-'||building2)) LIKE ?";
		try {
			Class.forName("oracle.jdbc.driver.OracleDriver");
			
			conn = DriverManager.getConnection(url,	user, pw);
			pstmt =  conn.prepareStatement(doroname);
			pstmt.setString(1, "%" + doro + "%");
			rs = pstmt.executeQuery();
			
			String zipcode ="";
			String doroaddr="";
			String buildingaddr="";
			String buildingno="";
		
			while(rs.next()) {
				zipcode = rs.getString(1);
				doroaddr = rs.getString(2);
				buildingaddr = rs.getString(3);
				buildingno = rs.getString(4);
				
				Map<String, String> resultMap = new HashMap<String, String>();
				resultMap.put("zipcode", zipcode);
				resultMap.put("doroaddr", doroaddr);
				resultMap.put("buildingaddr", buildingaddr);
				resultMap.put("buildingno", buildingno);
				addrlist.add(resultMap);
			}
		} catch(ClassNotFoundException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		} finally {
			if(rs != null) {
				try {
					rs.close();
				}
				catch (SQLException e) {}
			}
			if(pstmt != null) {
				try {
					pstmt.close();
				}
				catch (SQLException e) {}
			}
			if(conn != null) {
				try {
					conn.close();
				}
			catch (SQLException e) {}
			}
		}
		return addrlist;
	}
}