package my.vo;

public class Customer {
	// 고객에 대한 정보가 담겨있다
	// 오라클의 customer table의 한행의 자료를 표현하기위해 
	// JVM에서 일할 클래스를 만든다
	private String id;
	private String pwd;
	private String name;
	private String buildingno;
	// 객체와 객체사이에서도 관계를 맺을 필요가 있다
	// 현재 customer table과  post table 과 일대다 관계이므로 이를 표현할 필요가 있다
	// 다시 말해 테이블간의 관계가 있다면 클래스간의 관계로 표현해줘야 한다
	private Post post;
	// has a 관계
	private String addr;
	// is a 관계
	private int status;
	// 기본생성자
	public Customer() {
		super();
	}
	
	// 모든 인스턴스 변수 초기화 생성자
	public Customer(String id, String pwd, String name, String buildingno, Post post, String addr, int status) {
		super();
		this.id = id;
		this.pwd = pwd;
		this.name = name;
		this.buildingno = buildingno;
		this.post = post;
		this.addr = addr;
		this.status = status;
	}
	
	// Setter & Getter
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getPwd() {
		return pwd;
	}
	public void setPwd(String pwd) {
		this.pwd = pwd;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBuildingno() {
		return buildingno;
	}
	public void setBuildingno(String buildingno) {
		this.buildingno = buildingno;
	}
	public Post getPost() {
		return post;
	}
	public void setPost(Post post) {
		this.post = post;
	}
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
}